import {DipModel} from '@app/generated-api';
import {CollectionTypedModel} from '@app/shared/models/collection-typed.model';

export class GetAllDip {
  static readonly type = '[Access] Get All Dip';

  constructor() {
  }
}

export class SearchDip {
  static readonly type = '[Access] Search Dip';

  constructor(public search: string) {
  }
}

export class SearchDipSuccess {
  static readonly type = '[Access] Search Dip Success';

  constructor(public aips: CollectionTypedModel<DipModel>) {
  }
}

export class SearchDipFail {
  static readonly type = '[Access] Search Dip Fail';

  constructor() {
  }
}

