import {ChangeDetectionStrategy, Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {OrganizationalUnitsModel} from '@app/generated-api';

@Component({
  selector: 'dlcm-detail',
  templateUrl: './detail.component.html',
  styleUrls: ['./detail.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class DetailComponent implements OnInit {
  @Input()
  organizationalUnit: OrganizationalUnitsModel;

  constructor() {
  }

  ngOnInit() {
  }
}
