import {ChangeDetectionStrategy, Component, OnInit} from '@angular/core';
import {OrganizationalUnitsModel} from '@app/generated-api';
import {Create} from '@app/organizational-unit/organizational-unit.action';
import {Store} from '@ngxs/store';

@Component({
  selector: 'dlcm-create-view',
  templateUrl: './create.view.html',
  styleUrls: ['./create.view.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class CreateView implements OnInit {
  constructor(private store: Store) {
  }

  ngOnInit() {
  }

  createDeposit(organizationalUnit: OrganizationalUnitsModel) {
    this.store.dispatch(new Create(organizationalUnit));
  }
}
