import {DepositsModel} from '@app/generated-api';
import {CollectionTypedModel} from '@app/shared/models/collection-typed.model';

export class GetAll {
  static readonly type = '[Deposit] Get All';

  constructor() {
  }
}

export class GetAllSuccess {
  static readonly type = '[Deposit] Get All Success';

  constructor(public deposits: CollectionTypedModel<DepositsModel>) {
  }
}

export class GetAllFail {
  static readonly type = '[Deposit] Get All Fail';

  constructor() {
  }
}


export class GetById {
  static readonly type = '[Deposit] Get By Id';

  constructor(public id: string) {
  }
}

export class GetByIdSuccess {
  static readonly type = '[Deposit] Get By Id Success';

  constructor(public deposit: DepositsModel) {
  }
}

export class GetByIdFail {
  static readonly type = '[Deposit] Get By Id Fail';

  constructor() {
  }
}


export class Create {
  static readonly type = '[Deposit] Create';

  constructor(public deposit: DepositsModel) {
  }
}

export class CreateSuccess {
  static readonly type = '[Deposit] Create Success';

  constructor() {
  }
}

export class CreateFail {
  static readonly type = '[Deposit] Create Fail';

  constructor() {
  }
}
