import {DepositsModel, OrganizationalUnitsModel} from '@app/generated-api';
import {CollectionTypedModel} from '@app/shared/models/collection-typed.model';

export class GetAll {
  static readonly type = '[OrganizationalUnit] Get All';

  constructor() {
  }
}

export class GetAllSuccess {
  static readonly type = '[OrganizationalUnit] Get All Success';

  constructor(public organizationalUnits: CollectionTypedModel<OrganizationalUnitsModel>) {
  }
}

export class GetAllFail {
  static readonly type = '[OrganizationalUnit] Get All Fail';

  constructor() {
  }
}


export class GetById {
  static readonly type = '[OrganizationalUnit] Get By Id';

  constructor(public id: string) {
  }
}

export class GetByIdSuccess {
  static readonly type = '[OrganizationalUnit] Get By Id Success';

  constructor(public organizationalUnit: OrganizationalUnitsModel) {
  }
}

export class GetByIdFail {
  static readonly type = '[OrganizationalUnit] Get By Id Fail';

  constructor() {
  }
}


export class Create {
  static readonly type = '[OrganizationalUnit] Create';

  constructor(public organizationalUnit: OrganizationalUnitsModel) {
  }
}

export class CreateSuccess {
  static readonly type = '[OrganizationalUnit] Create Success';

  constructor() {
  }
}

export class CreateFail {
  static readonly type = '[OrganizationalUnit] Create Fail';

  constructor() {
  }
}


export class Update {
  static readonly type = '[OrganizationalUnit] Update';

  constructor(public organizationalUnit: OrganizationalUnitsModel) {
  }
}

export class UpdateSuccess {
  static readonly type = '[OrganizationalUnit] Update Success';

  constructor() {
  }
}

export class UpdateFail {
  static readonly type = '[OrganizationalUnit] Update Fail';

  constructor() {
  }
}

export class Delete {
  static readonly type = '[OrganizationalUnit] Delete';

  constructor(public resId: string) {
  }
}

export class DeleteSuccess {
  static readonly type = '[OrganizationalUnit] Delete Success';

  constructor() {
  }
}

export class DeleteFail {
  static readonly type = '[OrganizationalUnit] Delete Fail';

  constructor() {
  }
}
