import {AppRoutesEnum} from '@app/module/app-routing.module';

const urlSeparator = '/';
const id = ':id';

export enum DepositRoutesEnum {
  create = 'create',
  detail = 'detail',
  edit = 'edit',
}

export enum OrganizationalUnitRoutesEnum {
  create = 'create',
  detail = 'detail',
  edit = 'edit',
}

export class RoutesEnum {
  static home: string = AppRoutesEnum.home;
  static index: string = AppRoutesEnum.index;
  static login: string = AppRoutesEnum.login;
  static access: string = AppRoutesEnum.access;
  static organizationalUnit: string = AppRoutesEnum.organizationalUnit;
  static organizationalUnitCreate: string = AppRoutesEnum.organizationalUnit + urlSeparator + DepositRoutesEnum.create;
  static organizationalUnitDetail: string = AppRoutesEnum.organizationalUnit + urlSeparator + DepositRoutesEnum.detail;
  static organizationalUnitEdit: string = AppRoutesEnum.organizationalUnit + urlSeparator + DepositRoutesEnum.edit;
  static deposit: string = AppRoutesEnum.deposit;
  static depositCreate: string = AppRoutesEnum.deposit + urlSeparator + OrganizationalUnitRoutesEnum.create;
  static depositDetail: string = AppRoutesEnum.deposit + urlSeparator + OrganizationalUnitRoutesEnum.detail;
}
