import {LanguagesModel, LicensesModel, PreservationPoliciesModel, SubmissionPoliciesModel} from '@app/generated-api';
import {CollectionTypedModel} from '@app/shared/models/collection-typed.model';

export class GetAllLanguages {
  static readonly type = '[Language] Get All Languages';

  constructor() {
  }
}

export class GetAllLanguagesSuccess {
  static readonly type = '[Language] Get All Languages Success';

  constructor(public languages: CollectionTypedModel<LanguagesModel>) {
  }
}

export class GetAllLanguagesFail {
  static readonly type = '[Language] Get All Languages Fail';

  constructor() {
  }
}
