import {LicensesModel} from '@app/generated-api';
import {CollectionTypedModel} from '@app/shared/models/collection-typed.model';

export class GetAllLicenses {
  static readonly type = '[License] Get All Licenses';

  constructor() {
  }
}

export class GetAllLicensesSuccess {
  static readonly type = '[License] Get All Licenses Success';

  constructor(public licenses: CollectionTypedModel<LicensesModel>) {
  }
}

export class GetAllLicensesFail {
  static readonly type = '[License] Get All Licenses Fail';

  constructor() {
  }
}
