import {LanguagesModel, LicensesModel, PreservationPoliciesModel, SubmissionPoliciesModel} from '@app/generated-api';
import {CollectionTypedModel} from '@app/shared/models/collection-typed.model';

export class GetAllPreservationPolicies {
  static readonly type = '[Shared] Get All Preservation Policies';

  constructor() {
  }
}

export class GetAllPreservationPoliciesSuccess {
  static readonly type = '[Shared] Get All Preservation Policies Success';

  constructor(public languages: CollectionTypedModel<PreservationPoliciesModel>) {
  }
}

export class GetAllPreservationPoliciesFail {
  static readonly type = '[Shared] Get All Preservation Policies Fail';

  constructor() {
  }
}
