import * as moment from 'moment';

export class DateUtil {
  private static readonly ISO_8601_DATE = 'YYYY-MM-DD';

  static convertToISO8601(date: Date | string): string {
    return moment(date).format(this.ISO_8601_DATE);
  }
}
